PHP Manual
Prev |  | Next

# HttpMessage::factory

(no version information, might be only in CVS)

HttpMessage::factory -- Create HttpMessage from string

## Description

static publicHttpMessage HttpMessage::factory ( [string raw_message [, string class_name = 'HttpMessage']] )

Create an HttpMessage object from a string.

## Parameters

`raw_message`

  a single or several consecutive HTTP messages

`class_name`

  a class extending HttpMessage

## Return Values

Returns an HttpMessage object on success or NULL on failure.

## Errors/Exceptions

Throws HttpMalformedHeadersException.

## See Also

HttpMessage::fromEnv().

Prev | Home | Next
HttpMessage::__construct | Up | HttpMessage::fromEnv